Subject: Re: Reading SCSI DAT in cygwin on Win 2K
From: Mark Himsley <[email-masked]>
To: <[email-masked]>
Cc: "Sisira Jayasinghe" <[email-masked]>
Date: Mon, 10 Jun 2002 01:08:01 +0100

On Sun, 9 Jun 2002 13:56:37 -0400 Sisira Jayasinghe wrote:

>Now when I try to read a tape, I get following message. Can you please let
>me know how do I get it to read the tape.
>
>$ tar -tvf /dev/st0
>tar: /dev/st0: Cannot read: Permission denied
>tar: At beginning of tape, quitting now
>tar: Error is not recoverable: exiting now

My guess is that you didn't set the block size.

Administrator@BEDROOM:/home/Administrator
$ mt -f /dev/nst0 setblk 0
Administrator@BEDROOM:/home/Administrator
$ mt -f /dev/nst0 rewind  
Administrator@BEDROOM:/home/Administrator
$ tar -tvf /dev/st0
V--------- 0/0               0 2002-02-22 15:57:44
/cygdrive/w/mylittleisp.net/5eye/ Volume 1--Volume Header--
drwxr-xr-x IUSR_BEDROOM/Administrators 0 2001-09-18 10:57:35
cygdrive/w/mylittleisp.net/5eye/
[SNIP]
Administrator@BEDROOM:/home/Administrator
$ mt -f /dev/nst0 offline
-- 
Mark Himsley
In Acton

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/